[arch-commits] Commit in libwebkit/trunk (PKGBUILD buildfix_webkit_bison2.4.diff)

Eric Bélanger eric at archlinux.org
Sun Nov 23 06:40:17 UTC 2008


    Date: Sunday, November 23, 2008 @ 01:40:17
  Author: eric
Revision: 19427

Added build fix for bison 2.4

Added:
  libwebkit/trunk/buildfix_webkit_bison2.4.diff
Modified:
  libwebkit/trunk/PKGBUILD

-------------------------------+
 PKGBUILD                      |   10 ++++++----
 buildfix_webkit_bison2.4.diff |   17 +++++++++++++++++
 2 files changed, 23 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-11-23 06:07:15 UTC (rev 19426)
+++ PKGBUILD	2008-11-23 06:40:17 UTC (rev 19427)
@@ -16,15 +16,17 @@
 replaces=('webgitgtk-svn')
 source=(http://people.freedesktop.org/~alp/${_origname}/gtk/${_origname}-${pkgver}.tar.gz
 	http://people.freedesktop.org/~alp/webkit/gtk/webkit-cairo-canvas-r34625-for-1.0.1.patch
-	buildfix.diff)
+	buildfix.diff
+	buildfix_webkit_bison2.4.diff)
+md5sums=('4de68a5773998bea14e8939aa341c466' 'ccb08e8394211f97c237d615b46db01a'\
+         'e90a20a513ba8bdf2851c89f0af19bfb' '6c15894d304671f6eb9114cb715d42ca')
 options=('!libtool')
-md5sums=('4de68a5773998bea14e8939aa341c466'
-         'ccb08e8394211f97c237d615b46db01a'
-         'e90a20a513ba8bdf2851c89f0af19bfb')
+
 build() {
   cd ${srcdir}/${_origname}-${pkgver}
   patch -Np1 -i ${srcdir}/webkit-cairo-canvas-r34625-for-1.0.1.patch || return 1
   patch -Np0 -i ${srcdir}/buildfix.diff || return 1
+  patch -Np1 -i ${srcdir}/buildfix_webkit_bison2.4.diff || return 1
   ./autogen.sh --prefix=/usr
   make || return 1
   make DESTDIR="$pkgdir" install

Added: buildfix_webkit_bison2.4.diff
===================================================================
--- buildfix_webkit_bison2.4.diff	                        (rev 0)
+++ buildfix_webkit_bison2.4.diff	2008-11-23 06:40:17 UTC (rev 19427)
@@ -0,0 +1,17 @@
+diff -Naur webkit-1.0.1/WebCore/css/CSSGrammar.y webkit-1.0.1-new/WebCore/css/CSSGrammar.y
+--- webkit-1.0.1/WebCore/css/CSSGrammar.y	2008-06-15 19:40:06.000000000 -0400
++++ webkit-1.0.1-new/WebCore/css/CSSGrammar.y	2008-11-23 00:42:28.408816319 -0500
+@@ -1070,10 +1070,10 @@
+       $$.string = $1;
+   }
+   /* We might need to actually parse the number from a dimension, but we can't just put something that uses $$.string into unary_term. */
+-  | DIMEN maybe_space { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_DIMENSION }
+-  | unary_operator DIMEN maybe_space { $$.id = 0; $$.string = $2; $$.unit = CSSPrimitiveValue::CSS_DIMENSION }
++  | DIMEN maybe_space { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_DIMENSION; }
++  | unary_operator DIMEN maybe_space { $$.id = 0; $$.string = $2; $$.unit = CSSPrimitiveValue::CSS_DIMENSION; }
+   | URI maybe_space { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_URI; }
+-  | UNICODERANGE maybe_space { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_UNICODE_RANGE }
++  | UNICODERANGE maybe_space { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_UNICODE_RANGE; }
+   | hexcolor { $$.id = 0; $$.string = $1; $$.unit = CSSPrimitiveValue::CSS_RGBCOLOR; }
+   | '#' maybe_space { $$.id = 0; $$.string = ParseString(); $$.unit = CSSPrimitiveValue::CSS_RGBCOLOR; } /* Handle error case: "color: #;" */
+   /* FIXME: according to the specs a function can have a unary_operator in front. I know no case where this makes sense */




More information about the arch-commits mailing list